Commit 8cbd2281 authored by Moe's avatar Moe 😎

remove OpenCV requirement from Yolo plugin installer

parent f8103fad
......@@ -14,13 +14,8 @@ fi
echo "-----------------------------------"
if [ ! -d "/usr/local/cuda" ]; then
echo "You need to install CUDA Toolkit to use this."
echo "inside the Shinobi directory run the following :"
echo "sh INSTALL/cuda.sh"
exit 1
else
echo "CUDA Toolkit found..."
echo "============="
echo "Shinobi - Do you want to install the plugin with CUDA support?"
echo "Do you want to install the plugin with CUDA support?"
echo "Do this if you installed NVIDIA Drivers, CUDA Toolkit, and CuDNN"
echo "(y)es or (N)o"
read usecuda
......@@ -28,16 +23,18 @@ else
export PATH=/usr/local/cuda/bin:$PATH
export LD_LIBRARY_PATH=/usr/local/cuda/lib64:$LD_LIBRARY_PATH
fi
fi
echo "-----------------------------------"
if ! [ -x "$(command -v opencv_version)" ]; then
echo "You need to install OpenCV with CUDA first."
echo "inside the Shinobi directory run the following :"
echo "sh INSTALL/opencv-cuda.sh"
exit 1
else
echo "OpenCV found... : $(opencv_version)"
echo "CUDA Toolkit found..."
fi
# echo "-----------------------------------"
# if ! [ -x "$(command -v opencv_version)" ]; then
# echo "You need to install OpenCV with CUDA first."
# echo "inside the Shinobi directory run the following :"
# echo "sh INSTALL/opencv-cuda.sh"
# exit 1
# else
# echo "OpenCV found... : $(opencv_version)"
# fi
echo "============="
echo "Shinobi - Do you want to Install Tiny Weights?"
echo "This is better for Graphics Cards with less than 4GB RAM"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment